Bug 1905996 - gdb fails to build with Python 3.10: Makefile: Aborted (core dumped)
Summary: gdb fails to build with Python 3.10: Makefile: Aborted (core dumped)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Buettner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-12-09 13:42 UTC by Tomáš Hrnčiar
Modified: 2020-12-11 10:22 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-11 10:22:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-12-09 13:42:53 UTC
gdb fails to build with Python 3.10.0a3.

make: *** [Makefile:2016: run] Aborted (core dumped)

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01822424-gdb/

For all our attempts to build gdb with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/gdb/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Kevin Buettner 2020-12-09 18:09:41 UTC
I think this is due to an off-by-one error in ada_fold_name().  However, some (other) recent change, perhaps to libstdc++, exposed the problem.

My upstream patch fixing this problem can be viewed here:

https://sourceware.org/pipermail/gdb-patches/2020-December/173935.html

I plan to apply it to rawhide today...

Comment 2 Kevin Buettner 2020-12-10 21:33:27 UTC
I think this problem should be fixed now.

I committed / pushed the ada_fold_name fix mentioned in comment 1. GDB now builds cleanly again on rawhide.

The upstream patch has also been pushed, so the local patch that I introduced will go away in a future rebase.

Comment 3 Miro Hrončok 2020-12-11 10:22:09 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.